import re
import argparse

argP = argparse.ArgumentParser(description="Apply extraction rules to files")
argP.add_argument("files", nargs='+', action="store")
argP.add_argument("-d", "--directory", action="store")
argP.add_argument("-s", "--stdout", action="store_true")
argP.add_argument("-v", "--verbose", action="store_true")

def main():
	args = argP.parse_args()

	for file in args.files:
		r = re.compile('</?.+?>')
		with open(file) as fh:
			print(fh.name)
			loctag = False
			for line in fh:
				splitline = line.split()
				for word in splitline:
					if re.search(r, word) and loctag:
						word = re.sub(r, '', word)
						print(word + "\t" + "I")
						loctag = not loctag
					elif re.search(r, word):
						word = re.sub(r, '', word)
						loctag = not loctag
						print(word + "\t" + "B")
					elif loctag:
						print(word + "\t" + "I")
					else:
						print(word + "\t" + "O")
		print("\n")

if __name__ == '__main__':
	main()
